# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/xmlindent/xmlindent-0.2.17-r1.ebuild,v 1.4 2012/07/29 16:01:34 armin76 Exp $

EAPI="2"

inherit toolchain-funcs git-2 autotools
EGIT_REPO_URI="https://github.com/yast/yast-core.git"

DESCRIPTION="YaST2 - Core Libraries"
HOMEPAGE="http://github.com/yast/yast-core"
#SRC_URI="mirror://sourceforge/xmlindent/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64 ~arm"

IUSE=""
DEPEND="app-misc/fdupes
	app-text/docbook-xsl-stylesheets
	dev-libs/libxslt
	dev-perl/XML-Writer
	app-doc/doxygen
	dev-tcltk/expect
	dev-util/dejagnu
	sys-libs/libxcrypt
	dev-util/yast-devtools"

RDEPEND=""

src_prepare() {
	# we use xcrypt ne need for the suse glibc owcrypt
	sed -e "s!owcrypt!xcrypt!" -i configure.in.in
	sed -e "s!<crypt.h>!<xcrypt.h>!" -i libycp/src/y2crypt.cc
	y2tool y2autoconf
	y2tool y2automake
	eautoreconf
}

src_install() {
	emake DESTDIR="${D}" install || die
}
